Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002572TestLinkRequirement Managementpublic2009-06-04 20:282010-05-01 20:32
Reporterechreist 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9 Beta 3 
Summary0002572: Test Case creation from the Requirement documents causes sql error
DescriptionTest case creation from the Requirement Specification document causes the following error:

ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND node_type_id=2' at line 1 - SELECT id FROM nodes_hierarchy NH WHERE name='' AND parent_id= AND node_type_id=2

THE MESSAGE :: SQL [26] executed [took 0.0011 secs][all took 0.3631 secs]: SELECT id FROM nodes_hierarchy NH WHERE name='' AND parent_id= AND node_type_id=2 Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND node_type_id=2' at line 1
Additional InformationSteps to reproduce.
1. Select Requirement Specification document
2. Create new Requirement Specification
3. Create new Requirement
4. Highlight Requirement Specification and on the right select Create Test Cases.
5. Check the Requirement and select Create Test Cases.
6. Error will come up.

I noticed in the SQL query that parent_id = nothing.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox and IE 8
PHP VersionPHP Version 5.2.10-dev
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-06-04 20:28 echreist New Issue
2009-06-04 20:28 echreist Browser => Firefox and IE 8
2009-06-04 20:28 echreist PHP Version => PHP Version 5.2.10-dev
2009-06-04 21:59 fman Status new => assigned
2009-06-04 21:59 fman Assigned To => fman
2010-02-02 01:03 fman Status assigned => resolved
2010-02-02 01:03 fman Fixed in Version => 1.9 Beta 3 (Next Beta)
2010-02-02 01:03 fman Resolution open => fixed
2010-05-01 20:32 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker